package com.nisum.omd.service;

import java.util.ArrayList;
import java.util.List;
import java.util.Random;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestMapping;

import com.github.javafaker.Faker;
import com.nisum.omd.domain.LineItem;
import com.nisum.omd.domain.Order;


@Component
@RequestMapping("app")
public class RandomDataGeneratorImpl implements RandomDataGenerator {

	@Autowired
	Order order;

	
	Faker fk = new Faker();
	
	public String generateOrderNumber() {
		// TODO Auto-generated method stub
		return String.valueOf(fk.number().numberBetween(1000000, 9999999));
	}

	@Override
	public String generateCustomerId() {
		// TODO Auto-generated method stub
		return String.valueOf(fk.number().numberBetween(1, 1000));
	}
	
	@Override
	public LineItem genetateLineItem(LineItem li) {
		List<String> productname = new ArrayList<String>();
		
		productname.add("Easy Heavyweight T-Shirt");
		productname.add("Classic stripe T-Shirt");
		productname.add("Icon denim jacket");
		productname.add("Graphic crewneck T-Shirt");
		productname.add("Classic V T-Shirt");
		
		Random rand = new Random(); 
		int randomIndex = rand.nextInt(productname.size());
		String randomElement = productname.get(randomIndex);
		li.setProductName(randomElement);
		li.setEstimatedShipDate(order.getOrderDate()+5);
		return li;
	}
	

	
}
